All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Class OLAPExportSelectorAdapter

    com.sas.dataselectors.export.OLAPExportSelectorAdapter

All Implemented Interfaces:
  ExportHeadersFootersInterface, ExportSelectorInterface, HTMLExportSelectorInterface, OLAPExportSelectorInterface

    public class OLAPExportSelectorAdapter

implements OLAPExportSelectorInterface

ExportSelector adapter for multidimensional data.

Since:
  3.1

Field Summary
`protected boolean` | `isRepeatRowLabels`

Fields inherited from class com.sas.dataselectors.export.BaseExportSelectorAdapter
`cssDefinitions, cssMediaList, cssMIMEType, cssTitle, cssURL, dataModel, footers, fromRow, headers, includeRows, isFormattedData, outputType, toRow`

Fields inherited from interface com.sas.dataselectors.export.ExportSelectorInterface
`ALL_ROWS, EXCEL_CSV_OUTPUT_TYPE, EXCEL_HTML_OUTPUT_TYPE, EXCEL_TSV_OUTPUT_TYPE, EXCEL_XML_OUTPUT_TYPE, EXPORT_TO, FORMATTED_DATA, MAX_NROWS, MIN_NROWS, NOT_REPEAT_ROW_LABELS, PARTIAL_ROWS, RAW_DATA, REPEAT_ROW_LABELS, SAVE_AS, WORD_HTML_OUTPUT_TYPE, XLSX_OUTPUT_TYPE`

Constructor Summary
`OLAPExportSelectorAdapter()` Default constructor.

Method Summary
`boolean` | `isRepeatRowLabels()` Returns true if the row labels must be repeated in the exported data when the model is expanded, false otherwise.
`void` | `setIsRepeatRowLabels(boolean isRepeatRowLabels)` Sets if the row labels must be repeated in the exported data when the model is expanded.

Methods inherited from class com.sas.dataselectors.export.BaseExportSelectorAdapter
`getCSSInfo, getCssMediaList, getCssMIMEType, getCssTitle, getCssURL, getDataModel, getFooters, getFromRowCount, getHeaders, getIncludeRows, getNRows, getOutputType, getStartRow, getToRowCount, isFormattedData, isRawDataAvailable, setCssMediaList, setCssMIMEType, setCssTitle, setCssURL, setDataModel, setFooters, setFromRowCount, setHeaders, setIncludeRows, setIsFormattedData, setOutputType, setToRowCount`

Methods inherited from interface com.sas.dataselectors.export.ExportSelectorInterface
`getFromRowCount, getIncludeRows, getNRows, getOutputType, getStartRow, getToRowCount, isFormattedData, isRawDataAvailable, setFromRowCount, setIncludeRows, setIsFormattedData, setOutputType, setToRowCount`

Field Detail

### isRepeatRowLabels

    protected boolean isRepeatRowLabels

Constructor Detail

### OLAPExportSelectorAdapter

    public OLAPExportSelectorAdapter()

  Default constructor.

Method Detail

### isRepeatRowLabels

    public boolean isRepeatRowLabels()

  Description copied from interface: `OLAPExportSelectorInterface`
  Returns true if the row labels must be repeated in the exported data when the model is expanded, false otherwise.

  Specified by:
    `isRepeatRowLabels` in interface `OLAPExportSelectorInterface`
  Returns:
    boolean true if the row labels must be repeated in the exported data when the model is expanded, false otherwise.

### setIsRepeatRowLabels

    public void setIsRepeatRowLabels(boolean isRepeatRowLabels)

  Description copied from interface: `OLAPExportSelectorInterface`
  Sets if the row labels must be repeated in the exported data when the model is expanded.

  Specified by:
    `setIsRepeatRowLabels` in interface `OLAPExportSelectorInterface`
  Parameters:
    `isRepeatRowLabels` - true if the row labels must be repeated in the exported data when the model is expanded, false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.